Bug 9840 - kant print
kant print
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-28 15:07 EST by macleodrb
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-16 10:25:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description macleodrb 2000-02-28 15:07:20 EST
upgraded linux 5.0 --> 6.1  now I can't print
printer is Epson color 640 on lp2

browsed similar - looking bugs marked 'Resolved', but no help there.
I added alias parport_lowlevel parport_pc to '/etc/conf.modules'
didnt work.  my var/log/messages has a
lpd[468] unknown printer: ^I#
message on booting.  I tried all the queue clearing / stopping / starting
stuff too.
help ... need to print
Comment 1 Bill Nottingham 2000-02-28 15:11:59 EST
From the error message it looks like you have a typo
in your printcap.
Comment 2 macleodrb 2000-03-01 12:35:59 EST
the printcap entry is:

##PRINTTOOL3## LOCAL djet500 300x300 letter {} DeskJet500Mono 1 {}
 colorhi|chi:\
         :sd=/var/spool/lpd/colorhi:\
         :mx#0:\
         :sh:\
         :lp=/dev/lp2:\
         :if=/var/spool/lpd/colorhi/filter:
Comment 3 Bill Nottingham 2000-03-02 12:36:59 EST
Is that the *entire* printcap?
Comment 4 macleodrb 2000-03-02 14:14:59 EST
here's entire printcap:

#
# This printcap is being created with printtool v.3.27
# Any changes made here manually will be lost if printtool
# is run later on.
# The presence of this header means that no printcap
# existed when printtool was run.
#
##PRINTTOOL3## REMOTE
h|harrison:\
        :sd=/var/spool/lpd/harrison:\
        :mx#0:\
        :sh:\
        :rm=abacus-2:\
        :rp=lp:
#bill|b:\
        #:sd=/var/spool/lpd/bill:\
        #:mx#0:\
        #:sh:\
        #:lp=/dev/lp1:\
        #:if=/var/spool/lpd/bill/filter:
##PRINTTOOL3## REMOTE
steve|s:\
        :sd=/var/spool/lpd/steve:\
        :mx#0:\
        :sh:\
        :rm=barnacle:\
        :rp=Steves:
##PRINTTOOL3## LOCAL djet500 300x300 letter {} DeskJet500Mono 1 {}
lp|color|c|clp2|clow:\
        :sd=/var/spool/lpd/color:\
        :mx#0:\
        :sh:\
        :lp=/dev/lp2:\
        :if=/var/spool/lpd/color/filter:
##PRINTTOOL3## LOCAL djet500 300x300 letter {} DeskJet500Mono 1 {}
colorhi|chi:\
        :sd=/var/spool/lpd/colorhi:\
        :mx#0:\
        :sh:\
        :lp=/dev/lp2:\
        :if=/var/spool/lpd/colorhi/filter:
##PRINTTOOL3## LOCAL
epson|epson-raw:\
        :sd=/var/spool/lpd/epson-raw:\
        :mx#0:\
        :sh:\
        :lp=/dev/lp2:
Comment 5 macleodrb 2000-03-07 12:10:59 EST
Its been a week, I still cant print.
Comment 6 Bill Nottingham 2000-03-07 12:23:59 EST
Change the commented out entry so that the '#' characters
are at the beginning of the line.
Comment 7 macleodrb 2000-03-15 10:10:59 EST
i've removed the whole 'bill' entry.  still cant print.
Comment 8 Bill Nottingham 2000-03-15 14:01:59 EST
Did you restart lpd afterwards?
Comment 9 macleodrb 2000-03-16 10:16:59 EST
Ok,
 some of the mystery is unfolding ... I actually inherited this computer from
somebody, so I wasnt as familiar with the configuration as I should be.  There
is a PCI(?) board with a parallel port on it which was hooked up to the printer.
apparently configred as lp1?  I moved the printer cable connetion to the
built-in port.  For some reason, this on-board port was disabled, so I went into
the setup menus and enabled it at boot-up, and I think set the IRQ thing to
auto.  There are some other settings there which are a complete mystery to me.
I now can send ascii directly out the port with printtool.  As a result of all
this, I've learned lpc, lpq, and lprm abit, and have managed to clear the queues
all out.  '/usr/sbin/lpc restart all'   says  that it is starting the daemons,
but the status shows them as not present afterwards.  I've been using printtool
to try to set-up the printer again, and voila! the 'epson color uni-print'
filter has got things going again (postscript from printtool), but the colors
are crappy too 'purple' shows as magenta, and cyan shows as deep blue. 'Red' is
 murky.  The previous owner had a conversion somehow implemented which fixed
this, maybe I can work that out too.
Comment 10 macleodrb 2000-03-16 10:25:59 EST
This is my new printcap:

#
# This printcap is being created with printtool v.3.27
# Any changes made here manually will be lost if printtool
# is run later on.
# The presence of this header means that no printcap
# existed when printtool was run.
#
##PRINTTOOL3## REMOTE
h|harrison:\
	:sd=/var/spool/lpd/harrison:\
	:mx#0:\
	:sh:\
	:rm=abacus-2:\
	:rp=lp:
##PRINTTOOL3## REMOTE
steve|s:\
	:sd=/var/spool/lpd/steve:\
	:mx#0:\
	:sh:\
	:rm=barnacle:\
	:rp=Steves:
##PRINTTOOL3## LOCAL uniprint NAxNA letter {} U_EpsonStylusColor stcany {}
color|c|clp2|clow:\
	:sd=/var/spool/lpd/color:\
	:mx#0:\
	:sh:\
	:lp=/dev/lp0:\
	:if=/var/spool/lpd/color/filter:
##PRINTTOOL3## LOCAL uniprint NAxNA letter {} U_EpsonStylusColor stcany {}
lp|colorhi|chi:\
	:sd=/var/spool/lpd/colorhi:\
	:mx#0:\
	:sh:\
	:lp=/dev/lp0:\
	:if=/var/spool/lpd/colorhi/filter:
##PRINTTOOL3## LOCAL
epson|epson-raw:\
	:sd=/var/spool/lpd/epson-raw:\
	:mx#0:\
	:sh:\
	:lp=/dev/lp0:
##PRINTTOOL3## LOCAL uniprint NAxNA letter {} U_EpsonStylusColor stcany {}
test:\
	:sd=/var/spool/lpd/test:\
	:mx#0:\
	:sh:\
	:lp=/dev/lp0:\
	:if=/var/spool/lpd/test/filter:

my current status is that the queue test will print postscript,
but the lp|chi queue prints the code, the quality of the postscript
is also suspect, the printtool filter gives something like 360 dpi, which I dont
know if thats compatible with printer ...
/usr/sbin/lpc status is:
h:
	queuing is enabled
	printing is enabled
	no entries
	no daemon present
steve:
	queuing is enabled
	printing is enabled
	no entries
	no daemon present
color:
	queuing is enabled
	printing is enabled
	no entries
	no daemon present
lp:
	queuing is enabled
	printing is enabled
	no entries
	no daemon present
epson:
	queuing is enabled
	printing is enabled
	no entries
	no daemon present
test:
	queuing is enabled
	printing is enabled
	no entries
	no daemon present
Comment 11 Bernhard Rosenkraenzer 2000-07-17 11:19:01 EDT
This is fixed in rawhide with the move to LPRng.

Note You need to log in before you can comment on or make changes to this bug.